******************************************* ``GET`` List All AI Interviews ******************************************* This API retrieves all AI Interviews associated with the company, ordered by the most recent first. Request URL ============ .. code-block:: GET /ai-interviews/active .. warning:: Make sure to add your API key in the Header of the request using the key ``apiKey``. Query Parameters ================= +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +===================+==================+=====================================================================================================+ | name | *string* | Filter AI interviews by name. Performs a case-insensitive partial match on the AI interview name. | | *(optional)* | | | | | | **Example:** ``GET /ai-interviews/active?name=Python`` | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | from_date | *string* | Inclusive start of the creation-date filter range. Format ``YYYY-MM-DD``. Omit to leave the start | | *(optional)* | | of the range unbounded. Filters on the interview's creation timestamp. | | | | | | | | **Example:** ``GET /ai-interviews/active?from_date=2025-01-01`` | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | to_date | *string* | Inclusive end of the creation-date filter range. Format ``YYYY-MM-DD``. Omit to leave the end of | | *(optional)* | | the range unbounded. | | | | | | | | **Example:** ``GET /ai-interviews/active?to_date=2025-12-31`` | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ Response ========== - A JSON response containing AI interviews associated with the company, with the most recent one listed first. If query parameters are provided, only matching AI interviews are returned. .. code-block:: json [ { "ai_interview_id": "integer", "ai_interview_name": "string", "created_by": "integer" } ] Examples ========== **Success Response** .. code-block:: json [ { "ai_interview_id": 101, "ai_interview_name": "Business Development Manager III", "created_by": 13 }, { "ai_interview_id": 100, "ai_interview_name": "Senior Product Analyst", "created_by": 12 } ]